/*
 * Copyright 2003 - 2010 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 5758 $
 * Last Changed:    $Date: 2010-10-27 16:22:43 -0500 (Wed, 27 Oct 2010) $
 * Last Changed By: $Author: jan.moxter $
 */

package org.efaps.ui.wicket.models.objects;

import java.util.UUID;

import org.efaps.admin.ui.Search;

/**
 * @author The eFaps Team
 * @version $Id: UISearchItem.java 5758 2010-10-27 21:22:43Z jan.moxter $
 */
public class UISearchItem
    extends UIMenuItem
{

    /**
     * Needed for serialization.
     */
    private static final long serialVersionUID = 1L;

    /**
     * UUID of the Search.
     */
    private final UUID searchuuid;

    /**
     * @param _uuid UUID
     */
    public UISearchItem(final UUID _uuid)
    {
        super(_uuid, null);
        this.searchuuid = _uuid;
    }

    /**
     * @return the Search
     */
    public Search getSearch()
    {
        return Search.get(this.searchuuid);
    }

}
